v2.1.x [GX 2.1.4.0] "Function set_magic_quotes_runtime() is deprecated"

Thema wurde von Manni_HB, 12. Dezember 2014 erstellt.

  1. Manni_HB

    Manni_HB G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    9.098
    Danke erhalten:
    1.539
    Danke vergeben:
    908
    Ort:
    Bremen
    Eine jungfräuliche 2.1.4.0 präsentiert beim Aufruf von "checkout_process.php" dieses:
    Code:
    DEPRECATED(8192): "preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead"
    DEPRECATED(8192): "preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "Function set_magic_quotes_runtime() is deprecated"
    DEPRECATED(8192): "preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead"
    WARNING(2): "Cannot modify header information - headers already sent by (output started at /www/htdocs/xxxxxxx/yyyyyyy/gm/classes/ErrorHandler.php:366)"
    
    phpversion: "5.5.18-nmm1"
    :confused:
     
  2. Avenger

    Avenger G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    4.771
    Danke erhalten:
    1.478
    Danke vergeben:
    89
    Wie schon anderswo gesagt:

    Schalte die "DEPRECATED"-Fehler aus...

    PHP 5.5 warnt schon mal vor, dass "demnächst" diese Funktion verschwindet....
     
  3. Moritz (Gambio)

    Moritz (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    26. April 2011
    Beiträge:
    5.399
    Danke erhalten:
    2.436
    Danke vergeben:
    786
    Hallo Manfred,

    erscheinen die Meldungen, weil du aktuell im Backend in den Logging-Optionen die DEPRECATED-Meldungen nicht unterdrückst?
     
  4. Manni_HB

    Manni_HB G-WARD 2012/13/14/15

    Registriert seit:
    26. April 2011
    Beiträge:
    9.098
    Danke erhalten:
    1.539
    Danke vergeben:
    908
    Ort:
    Bremen
    Ja .. vergessen zurück zustellen! :(